Package org.springframework.security.web.server.util.matcher

# Class IpAddressServerWebExchangeMatcher

java.lang.Object
org.springframework.security.web.server.util.matcher.IpAddressServerWebExchangeMatcher

All Implemented Interfaces:
  `ServerWebExchangeMatcher`

public final class IpAddressServerWebExchangeMatcher extends Object implements ServerWebExchangeMatcher
Matches a request based on IP Address or subnet mask matching against the remote address.

Since:
  5.7

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher

`ServerWebExchangeMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`IpAddressServerWebExchangeMatcher(String ipAddress)`
Takes a specific IP address or a range specified using the IP/Netmask (e.g.

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if a request matches or not
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IpAddressServerWebExchangeMatcher

public IpAddressServerWebExchangeMatcher(String ipAddress)
Takes a specific IP address or a range specified using the IP/Netmask (e.g. 192.168.1.0/24 or 202.24.0.0/14).

Parameters:
  `ipAddress` - the address or range of addresses from which the request must come.

## Method Details

### matches

public reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> matches(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerWebExchangeMatcher`
Determines if a request matches or not

Specified by:
  `matches` in interface `ServerWebExchangeMatcher`
Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`